<!DOCTYPE html>
<html>

<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <title>vlow - visual reactive dataflow programming language</title>
    <meta name="description" content="homepage of an upcoming programming language with focus on dataflow and ease of use">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link href="https://vlow.vision/static/main.css" rel="stylesheet">
    <link rel="preload" href="https://vlow.vision/static/iosevka-aile-extrabold.woff2" as="font" type="font/woff2" crossorigin="anonymous">
    <link rel="preload" href="https://vlow.vision/static/iosevka-aile-regular.woff2" as="font" type="font/woff2" crossorigin="anonymous">
    <link rel="preload" href="https://vlow.vision/static/iosevka-bold.woff2" as="font" type="font/woff2" crossorigin="anonymous">
    <link rel="preload" href="https://vlow.vision/static/iosevka-light.woff2" as="font" type="font/woff2" crossorigin="anonymous">
    <link rel="preload" href="https://vlow.vision/static/iosevka-regular.woff2" as="font" type="font/woff2" crossorigin="anonymous"> </head>

<body>
<div class="site-wrapper">
    <header>
        <nav>
            <div><a href="https://vlow.vision/" class="logo">vlow</a>/<a href="https://component-loader.vlow-lang.org/" aria-current="page" data-shadow="ポーネントの読み込み" class="router-link-exact-active router-link-active">component-loader<span class="dim">.js</span></a></div>
            <!--ul>
                <li><a style="cursor:not-allowed;">download<sup>TBA</sup></a></li>
            </ul-->
        </nav>
    </header>
    <aside class="justify">
        <h1><code>vlow</code> components loader</h1>
        <p>this javascript library allows to use <code>vlow.ui</code> classes as <code>WebComponents</code> in html documents</p>
        <h2>Basic use</h2>
        <pre class="html"><code><span style="color: gray;">&lt;!doctype html&gt;
&lt;html lang="en-us"&gt;
&lt;head&gt;</span>
    &lt;script src="//component-loader.vlow-lang.org/latest.js" data-library="./counter.wasm"&gt;&lt;/script&gt;
<span style="color: gray;">&lt;/head&gt;
&lt;body&gt;</span>
    &lt;vlow-counter&gt;&lt;/vlow-counter&gt;
<span style="color: gray;">&lt;/body&gt;
&lt;/html&gt;</span>
</code></pre>
        <h2>Advanced use</h2>
        <ol class="squish">
            <li>setup the registry
                <pre>echo @vlow-lang:registry=https://gitlab.com/api/v4/packages/npm/ >> .npmrc</pre></li>
            <li>intall the package
                <pre>npm i @vlow-lang/web-integration</pre></li>
            <li>use the loader
                <pre>import loadVlowWasm from "@vlow-lang/web-integration"
fetch("counter.wasm").then(r => r.arrayBuffer()).then(loadVlowWasm)</pre></li>
        </ol>
    </aside>
    <!--vue-ssr-outlet-->
</div>
</body>
</html>
